Subject: RE: [External] : Re: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Drew Adams <[email-masked]>
Date: Fri, 21 Mar 2025 18:40:15 +0000

> > I do care about wrapping - for ALL of the navigation keys I mentioned.
> > That's what's really needed, IMO. Not wrapping is an option, but IMO
> > it's maybe not needed (I kept it as an option, to provide the vanilla
> > Dired behavior). Likewise, as I say, I see no real need to skip blank
> > lines. YMMV.
> 
> Do you need such wrapping in other modes too, not only in Dired?

Dunno what other places it would be helpful. 
But maybe other "listing" buffers (occur, buffer menu/ibuffer, bookmarks,...)?
Maybe tabulated-list buffers?

It should be optional, wherever it's added, IMO.

Isearch was probably the first place in Emacs to add wrapping. Unless I'm forgetting something else obvious.

> >> > Please tell me why cycling doesn't logically apply to `C-M-n',
> >> > `C-M-p', `>', and `<'.
> >>
> >> `>' and `<' are already cycling,
> >> while `C-M-n' and `C-M-p' aren't.
> >
> > Why shouldn't they?
> 
> They could if someone will implement this.

It's implemented in dired+.el. Feel free to take it or use it as inspiration for a different implementation.

https://www.emacswiki.org/emacs/download/dired%2.el